Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(676)

Issue 1345873003: Expose PageImportanceSignals via WebContents (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years ago by kouhei (in TOK)
Modified:
1 year, 11 months ago
CC:
chromium-reviews, creis+watch_chromium.org, darin-cc_chromium.org, Georges Khalil, jam, mkwst+moarreviews-renderer_chromium.org, mlamouri+watch-content_chromium.org, nasko+codewatch_chromium.org, tfarina
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Expose PageImportanceSignals via WebContents Depends on Blink side change: https://codereview.chromium.org/1345023002/ PageImportanceSignals contains Blink-tracked signals which is useful for judging an relative importance of the web content hosted on a tab. For example, we can know if a tab has a pending HTML form entry, etc. This CL introduces a method WebContents::GetPageImportanceSignals(), which allows browser process to query PageImportanceSignals for a tab. In near future, we plan to use this information from OOMPriorityManager to avoid unwanted tab discards. BUG=520838 Committed: https://crrev.com/40f03cb9cd139d4dc5d1c22d5ee390a67bb15349 Cr-Commit-Position: refs/heads/master@{#350494}

Patch Set 1 #

Total comments: 8

Patch Set 2 : kinuko-san review #

Patch Set 3 : add missing null check #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+62 lines, -0 lines) Patch
M content/browser/web_contents/web_contents_impl.h View 1 4 chunks +5 lines, -0 lines 0 comments Download
M content/browser/web_contents/web_contents_impl.cc View 1 3 chunks +11 lines, -0 lines 0 comments Download
M content/common/frame_messages.h View 1 3 chunks +8 lines, -0 lines 0 comments Download
M content/public/browser/web_contents.h View 1 2 chunks +3 lines, -0 lines 1 comment Download
A content/public/common/page_importance_signals.h View 1 chunk +19 lines, -0 lines 0 comments Download
M content/renderer/render_view_impl.h View 1 1 chunk +1 line, -0 lines 0 comments Download
M content/renderer/render_view_impl.cc View 1 2 3 chunks +15 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 31 (13 generated)
kouhei (in TOK)
Would you take a look? Requres Blink side: https://codereview.chromium.org/1345023002/
2 years ago (2015-09-15 23:08:50 UTC) #3
Mike West
IPC LGTM.
2 years ago (2015-09-16 12:41:59 UTC) #4
Mike West
On 2015/09/16 at 12:41:59, Mike West (slow) wrote: > IPC LGTM. (Please add a link ...
2 years ago (2015-09-16 12:42:47 UTC) #5
kouhei (in TOK)
georgesak: Does the WebContents interface look good to you? On 2015/09/16 12:42:47, Mike West (slow) ...
2 years ago (2015-09-16 13:27:10 UTC) #7
Georges Khalil
lgtm for the API, thanks!
2 years ago (2015-09-18 12:50:30 UTC) #8
kouhei (google)
kinuko: Would you take a look?
1 year, 12 months ago (2015-09-24 00:12:28 UTC) #10
kinuko
looks good, a few nits https://codereview.chromium.org/1345873003/diff/1/content/browser/web_contents/web_contents_impl.cc File content/browser/web_contents/web_contents_impl.cc (right): https://codereview.chromium.org/1345873003/diff/1/content/browser/web_contents/web_contents_impl.cc#newcode916 content/browser/web_contents/web_contents_impl.cc:916: const PageImportanceSignals* WebContentsImpl::GetPageImportanceSignals() const ...
1 year, 12 months ago (2015-09-24 00:26:23 UTC) #11
kouhei (in TOK)
Thanks for review! https://codereview.chromium.org/1345873003/diff/1/content/browser/web_contents/web_contents_impl.cc File content/browser/web_contents/web_contents_impl.cc (right): https://codereview.chromium.org/1345873003/diff/1/content/browser/web_contents/web_contents_impl.cc#newcode916 content/browser/web_contents/web_contents_impl.cc:916: const PageImportanceSignals* WebContentsImpl::GetPageImportanceSignals() const { On ...
1 year, 12 months ago (2015-09-24 01:13:46 UTC) #12
kinuko
lgtm.
1 year, 12 months ago (2015-09-24 01:19:17 UTC) #14
kouhei (in TOK)
On 2015/09/24 01:19:17, kinuko wrote: > lgtm. Thanks!
1 year, 12 months ago (2015-09-24 01:19:42 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1345873003/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1345873003/20001
1 year, 12 months ago (2015-09-24 01:35:38 UTC) #18
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/117702) mac_chromium_rel_ng on tryserver.chromium.mac (JOB_FAILED, ...
1 year, 12 months ago (2015-09-24 02:32:57 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1345873003/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1345873003/40001
1 year, 12 months ago (2015-09-24 03:36:46 UTC) #23
commit-bot: I haz the power
Try jobs failed on following builders: linux_android_rel_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_android_rel_ng/builds/73052)
1 year, 12 months ago (2015-09-24 04:58:16 UTC) #25
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1345873003/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1345873003/40001
1 year, 12 months ago (2015-09-24 05:16:55 UTC) #27
commit-bot: I haz the power
Committed patchset #3 (id:40001)
1 year, 12 months ago (2015-09-24 07:47:09 UTC) #28
commit-bot: I haz the power
Patchset 3 (id:??) landed as https://crrev.com/40f03cb9cd139d4dc5d1c22d5ee390a67bb15349 Cr-Commit-Position: refs/heads/master@{#350494}
1 year, 12 months ago (2015-09-24 07:48:14 UTC) #29
noyau (Ping after 24h)
1 year, 11 months ago (2015-09-28 15:36:10 UTC) #31
Message was sent while issue was closed.
https://codereview.chromium.org/1345873003/diff/40001/content/public/browser/...
File content/public/browser/web_contents.h (right):

https://codereview.chromium.org/1345873003/diff/40001/content/public/browser/...
content/public/browser/web_contents.h:282: virtual const PageImportanceSignals&
GetPageImportanceSignals() const = 0;
Please add comments to methods in interfaces: We have an iOS subclass for this
and on first glance I have no idea what this method is supposed to do.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b